package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.DeletedRepository;
import com.realnet.vpspack.Entity.Deleted
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class DeletedService {
@Autowired
private DeletedRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Deleted Savedata(Deleted data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Deleted save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Deleted> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Deleted> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Deleted> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Deleted getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Deleted update(Deleted data,Integer id) {
	Deleted old = Repository.findById(id).get();
old.setName(data.getName());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setDeleted_child(data.getDeleted_child());

final Deleted test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
